{% comment %}ly_global_begin{% endcomment %}{% capture ly-global-content %}{% render 'ly-global' render:true %}{% endcapture %}{% assign ly-global-content = ly-global-content | split: '#ly#' %}{% assign langify_title = ly-global-content[0] %}{% assign langify_description = ly-global-content[1] %}{% assign langify_shop_name = ly-global-content[2] %}{% assign langify_shop_description = ly-global-content[3] %}{% assign canonical_langify_url = ly-global-content[4] %}{% assign langify_shop_url = ly-global-content[5] %}{% assign langify_shop_domain = ly-global-content[6] %}{% comment %}ly_global_end{% endcomment %}{% if type == 'block' %}
  {% assign rv_max_display = block.settings.rv_max_display%}
  {% assign rv_products_style = block.settings.rv_products_style %}
  {% assign limit = block.settings.rv_max_display %}
  {% assign loop_limit = block.settings.rv_max_display %}
  {% assign rv_per = block.settings.rv_per %}
{% else %}
  {% assign rv_max_display = section.settings.rv_max_display%}
  {% assign rv_products_style = section.settings.rv_products_style %}
  {% assign limit = section.settings.rv_max_display %}
  {% assign loop_limit = section.settings.rv_max_display %}
  {% assign rv_per = section.settings.rv_per %}
{% endif %}

<div  class="js-recently-viewed hidden recently-viewed__section"
      data-visible-products="{{ rv_max_display }}"
  >
  <div class="container bottom-fix">
    <div class="related-products__title {% unless rv_products_style  == 'slider' %}sixteen columns{% endunless %}">
      <h2 class="title center">{{ section.settings.rv_title }}</h2>
      <div class="feature_divider"></div>
    </div>
  </div>

  {% assign loop_limit = loop_limit | minus: 1 %}


  {% if rv_products_style == 'slider' %}
    {% assign visible_products = rv_per %}

    <div class="rv-main js-rv-slider slider-gallery products-slider products-length-{{ section.settings.rv_per }}"
          data-products-per-slide="{{ visible_products }}"
          data-products-limit="{{ limit }}"
          >
      {% for rvProducts in (0..loop_limit) %}
        <div class="gallery-cell thumbnail rv-box-element rv-box-{{ rvProducts }} rv-element">
          <!--Products are dynamically inserted-->
        </div>
      {% endfor %}
    </div>

  {% else %}
    {% assign products_per_row = rv_per %}

    {% unless sidebar %}<div class="container related-products--grid">{% endunless %}
      <div class="sixteen columns">
        <div class="rv-main js-rv-grid clearfix product-list collection-matrix"
          data-products-per-slide="{{ rv_per }}"
          data-products-limit="{{ limit }}">
          {% for rvProducts in (0..loop_limit) %}
            <div class="thumbnail rv-box-element rv-box-{{ rvProducts }} rv-element
            {% if products_per_row == 3 %}
              one-third column {% cycle 'alpha', '', 'omega' %}
            {% elsif products_per_row == 4 %}
              four columns {% cycle 'alpha', '', '', 'omega' %}
            {% elsif products_per_row == 5 %}
              one-fifth column {% cycle 'alpha', '', '', '', 'omega' %}
            {% endif %}
            {% cycle 'even', 'odd' %}">
              <!--Products are dynamically inserted-->
            </div>
          {% endfor %}
        </div>
      </div>
    </div>
  {% endif %}
</div>

